<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Project Details</title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    <ul>
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    </ul>
                {% else %}
                    <ul>
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
            <div>
                <h1>{{ one_project.name }}</h1>
                <p>{{ one_project.description }}</p>
                <h2>Tasks</h2>
                <p>
                    <a href="{% url 'create_task' %}">Create a new task</a>
                </p>
                {% if one_project.tasks.all|length %}
                    <table>
                        <tr>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Assignee</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed?</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for one_task in list_of_tasks %}
                                    <tr>
                                        <td>{{ one_task.name }}</td>
                                        <td>{{ one_task.assignee }}</td>
                                        <td>{{ one_task.start_date }}</td>
                                        <td>{{ one_task.due_date }}</td>
                                        <td>{{ one_task.is_complete|yesno }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </tr>
                    </table>
                {% else %}
                    <p>This project has no tasks</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
